<?xml version="1.0" encoding="UTF-8" standalone="no"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" xmlns:esc="http://escrire.inrialpes.fr/">

  <xsl:output method="text" indent="no" />

  <!-- root -->
  <xsl:template match="/">
    <xsl:apply-templates/>
  </xsl:template>

  <!-- strip all whitespace, newline or tabulation -->
  <xsl:template match="text()">
    <xsl:apply-templates/>
  </xsl:template>

  <xsl:template match="esc:or">
    <xsl:text>OR(</xsl:text>
    <xsl:apply-templates/>
    <xsl:text>)+</xsl:text>
  </xsl:template>
  <xsl:template match="esc:objvar">
    <xsl:text>%2B</xsl:text>
    <xsl:value-of select="@type"/>
    <xsl:text>+</xsl:text>
    <xsl:apply-templates/>
  </xsl:template>
  <xsl:template match="esc:relvar">
    <xsl:text>%2B</xsl:text>
    <xsl:value-of select="@type"/>
    <xsl:text>+</xsl:text>
    <xsl:apply-templates/>
  </xsl:template>
  <xsl:template match="esc:objref">
    <xsl:text>%2B</xsl:text>
    <xsl:value-of select="@type"/>
    <xsl:text>+</xsl:text>
    <xsl:text>%2B</xsl:text>
    <xsl:value-of select="@id"/>
    <xsl:text>+</xsl:text>
    <xsl:apply-templates/>
  </xsl:template>
  <xsl:template match="esc:attribute">
    <xsl:text>%2B</xsl:text>
    <xsl:value-of select="@name"/>
    <xsl:text>+</xsl:text>
    <xsl:apply-templates/>
  </xsl:template>
  <xsl:template match="esc:value">
    <xsl:text>%2B</xsl:text>
    <xsl:value-of select="."/>
    <xsl:text>+</xsl:text>
    <xsl:apply-templates/>
  </xsl:template>


</xsl:stylesheet>
