<?xml version="1.0" encoding="UTF-8" standalone="no"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" xmlns:esc="http://escrire.inrialpes.fr/">

  <xsl:import href="http://escrire.inrialpes.fr/xsl/xmlverbatim.xsl" />

  <xsl:output method="html" indent="yes" doctype-public="-//W3C//DTD HTML 4.0 Transitional//EN" />

  <!-- CSS Stylesheet -->
  <xsl:param name="css-stylesheet" select="'http://barbara.inrialpes.fr/xslt/xmlverbatim.css'" />

  <!-- root -->
  <xsl:template match="/">
    <xsl:apply-templates/>
  </xsl:template>

  <xsl:template match="esc:resc">
    <html>
      <head>
	<title>Query Results</title>
	<link rel="stylesheet" type="text/css" href="{$css-stylesheet}" />
      </head>
      <body>
	<h1>Your query was :</h1>
	<xsl:apply-templates select="esc:query"/>
	<hr />
	<h1>Answers found are :</h1>
	<xsl:apply-templates select="esc:answer"/>
	<hr />
	<address><a href="mailto:raphael.troncy@inrialpes.fr">Raphael Troncy</a></address>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="esc:query">
    <tt>
      <xsl:apply-templates select="." mode="xmlverb" />
    </tt>
  </xsl:template>

  <xsl:template match="esc:answer">
    <xsl:apply-templates/>
  </xsl:template>

  <xsl:template match="esc:vref"/>

  <xsl:template match="esc:docref">
    <br/>
    <a href="{@href}">Retrieve this document</a>
  </xsl:template>

</xsl:stylesheet>
